/*
 * Copyright 2007 (C) Guillaume Laforge. All Rights Reserved.
 *
 * Redistribution and use of this software and associated documentation
 * ("Software"), with or without modification, are permitted provided that the
 * following conditions are met:
 *  1. Redistributions of source code must retain copyright statements and
 * notices. Redistributions must also contain a copy of this document.
 *  2. Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 *  3. The name "groovy" must not be used to endorse or promote products
 * derived from this Software without prior written permission of The Codehaus.
 * For written permission, please contact info@codehaus.org.
 *  4. Products derived from this Software may not be called "groovy" nor may
 * "groovy" appear in their names without prior written permission of The
 * Codehaus. "groovy" is a registered trademark of The Codehaus.
 *  5. Due credit should be given to The Codehaus - http://groovy.codehaus.org/
 *
 * THIS SOFTWARE IS PROVIDED BY THE CODEHAUS AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE CODEHAUS OR ITS CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
 * DAMAGE.
 */
package org.codehaus.groovy.scriptom.tlb.sapi;

import java.util.Map;
import java.util.TreeMap;
import java.util.Collections;

/**
 * @author Jason Smith
 */
public final class DISPID_SpeechAudio
{
  private DISPID_SpeechAudio()
  {
  }

  /**
   * Value is 200 (0xC8)
   */
  public static final Integer DISPID_SAStatus = Integer.valueOf(200);

  /**
   * Value is 201 (0xC9)
   */
  public static final Integer DISPID_SABufferInfo = Integer.valueOf(201);

  /**
   * Value is 202 (0xCA)
   */
  public static final Integer DISPID_SADefaultFormat = Integer.valueOf(202);

  /**
   * Value is 203 (0xCB)
   */
  public static final Integer DISPID_SAVolume = Integer.valueOf(203);

  /**
   * Value is 204 (0xCC)
   */
  public static final Integer DISPID_SABufferNotifySize = Integer.valueOf(204);

  /**
   * Value is 205 (0xCD)
   */
  public static final Integer DISPID_SAEventHandle = Integer.valueOf(205);

  /**
   * Value is 206 (0xCE)
   */
  public static final Integer DISPID_SASetState = Integer.valueOf(206);

  /**
   * A {@code Map} of the symbolic names to constant values.
   */
  public static final Map values;
  static
  {
    TreeMap v = new TreeMap();
    v.put("DISPID_SAStatus", DISPID_SAStatus);
    v.put("DISPID_SABufferInfo", DISPID_SABufferInfo);
    v.put("DISPID_SADefaultFormat", DISPID_SADefaultFormat);
    v.put("DISPID_SAVolume", DISPID_SAVolume);
    v.put("DISPID_SABufferNotifySize", DISPID_SABufferNotifySize);
    v.put("DISPID_SAEventHandle", DISPID_SAEventHandle);
    v.put("DISPID_SASetState", DISPID_SASetState);
    values = Collections.synchronizedMap(Collections.unmodifiableMap(v));
  }
}
